<?xml version="1.0" encoding="UTF-8"?>
<package packagerversion="1.10.5" version="2.0" xmlns="http://pear.php.net/dtd/package-2.0" xmlns:tasks="http://pear.php.net/dtd/tasks-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://pear.php.net/dtd/tasks-1.0 http://pear.php.net/dtd/tasks-1.0.xsd http://pear.php.net/dtd/package-2.0 http://pear.php.net/dtd/package-2.0.xsd">
 <name>Horde_Db</name>
 <channel>pear.horde.org</channel>
 <extends>Db</extends>
 <summary>Database abstraction library</summary>
 <description>Database access and SQL abstraction layer.</description>
 <lead>
  <name>Jan Schneider</name>
  <user>jan</user>
  <email>jan@horde.org</email>
  <active>yes</active>
 </lead>
 <lead>
  <name>Mike Naberezny</name>
  <user>mnaberez</user>
  <email>mike@naberezny.com</email>
  <active>no</active>
 </lead>
 <lead>
  <name>Chuck Hagenbuch</name>
  <user>chuck</user>
  <email>chuck@horde.org</email>
  <active>no</active>
 </lead>
 <date>2021-02-17</date>
 <time>22:09:12</time>
 <version>
  <release>2.4.1</release>
  <api>2.4.0</api>
 </version>
 <stability>
  <release>stable</release>
  <api>stable</api>
 </stability>
 <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
 <notes>
* [jan] Fix compatibility with PostgreSQL 12+ (Ivan Sergio Borgonovo &lt;mail@webthatworks.it&gt;, PR #2).
* [jan] Fix sequences on PostgreSQL 10+ (Ivan Sergio Borgonovo &lt;mail@webthatworks.it&gt;, PR #3).
* [mjr] Fix connecting over SSL with MySQLi driver (PR #2, PaulSzymanski &lt;PaulSzymanski@users.noreply.github.com&gt;).
 </notes>
 <contents>
  <dir baseinstalldir="/" name="/">
   <file baseinstalldir="/" md5sum="388bfe6442e052ab0b6be06f2137326e" name="bin/horde-db-migrate-component" role="script">
    <tasks:replace from="/usr/bin/env php" to="php_bin" type="pear-config" />
   </file>
   <file baseinstalldir="/" md5sum="66b023fb9bd31a7613e6aa72bf88b7e6" name="doc/Horde/Db/CHANGES" role="doc" />
   <file baseinstalldir="/" md5sum="2a04f5f8711df126853cc85948040277" name="doc/Horde/Db/COPYING" role="doc" />
   <file baseinstalldir="/" md5sum="f4e6f409a9d79987877a22a6f0c7e985" name="doc/Horde/Db/README" role="doc" />
   <file baseinstalldir="/" md5sum="2e37bf3b0ee879bf8e5e829c0480f33f" name="doc/Horde/Db/README_TESTING" role="doc" />
   <file baseinstalldir="/" md5sum="b8505c26aed93261b8b5a17accce40db" name="doc/Horde/Db/TODO" role="doc" />
   <file baseinstalldir="/" md5sum="cecae78d75b9c14fc2ae1487c4eba1d9" name="doc/Horde/Db/UPGRADING" role="doc" />
   <file baseinstalldir="/" md5sum="7e4a0945e79a106d896ded82935f3619" name="lib/Horde/Db/Adapter/Base/Column.php" role="php" />
   <file baseinstalldir="/" md5sum="55b879f3bd2ea651da0aa159f4c032d0" name="lib/Horde/Db/Adapter/Base/ColumnDefinition.php" role="php" />
   <file baseinstalldir="/" md5sum="e18d19830f2985e47068bde64e725a8a" name="lib/Horde/Db/Adapter/Base/Index.php" role="php" />
   <file baseinstalldir="/" md5sum="78e11b6fc660aa67b9f659b56815166e" name="lib/Horde/Db/Adapter/Base/Result.php" role="php" />
   <file baseinstalldir="/" md5sum="037f2bcbf28a60e6f7b76c75cd47b5d0" name="lib/Horde/Db/Adapter/Base/Schema.php" role="php" />
   <file baseinstalldir="/" md5sum="09d837199fdd990d3dd2adb61c786ede" name="lib/Horde/Db/Adapter/Base/Table.php" role="php" />
   <file baseinstalldir="/" md5sum="13afef84275b283dc8577c5f06055ff0" name="lib/Horde/Db/Adapter/Base/TableDefinition.php" role="php" />
   <file baseinstalldir="/" md5sum="4381baa7401fc0ad15184a4d19b1c68e" name="lib/Horde/Db/Adapter/Mysql/Column.php" role="php" />
   <file baseinstalldir="/" md5sum="01c80a264d12d337fcffa9a1fe29ab25" name="lib/Horde/Db/Adapter/Mysql/Result.php" role="php" />
   <file baseinstalldir="/" md5sum="f0f2dafecdbbb0ace6599dc6476d7a66" name="lib/Horde/Db/Adapter/Mysql/Schema.php" role="php" />
   <file baseinstalldir="/" md5sum="72f45dbeb6ae4f16c59b99e19d8f6023" name="lib/Horde/Db/Adapter/Mysqli/Result.php" role="php" />
   <file baseinstalldir="/" md5sum="ee08d7841757c380a57e296726545953" name="lib/Horde/Db/Adapter/Oracle/Column.php" role="php" />
   <file baseinstalldir="/" md5sum="eeba01bf82b1d80d315dc3123af2761a" name="lib/Horde/Db/Adapter/Oracle/Result.php" role="php" />
   <file baseinstalldir="/" md5sum="821e04d3091aa57d8539f329d6673bfe" name="lib/Horde/Db/Adapter/Oracle/Schema.php" role="php" />
   <file baseinstalldir="/" md5sum="f440ddffc9fff20fc69519b53c840a95" name="lib/Horde/Db/Adapter/Oracle/TableDefinition.php" role="php" />
   <file baseinstalldir="/" md5sum="32d19e869b7f471a0fd8bdff5f84930b" name="lib/Horde/Db/Adapter/Pdo/Base.php" role="php" />
   <file baseinstalldir="/" md5sum="7236ae471fe37372d5ea56b271d970b4" name="lib/Horde/Db/Adapter/Pdo/Mysql.php" role="php" />
   <file baseinstalldir="/" md5sum="dc6c9f8bcd2fa279d33276976daf8ace" name="lib/Horde/Db/Adapter/Pdo/Pgsql.php" role="php" />
   <file baseinstalldir="/" md5sum="15a156c8bf89a3cd80a377e094d48ffc" name="lib/Horde/Db/Adapter/Pdo/Result.php" role="php" />
   <file baseinstalldir="/" md5sum="6690e132298384149322077272764baf" name="lib/Horde/Db/Adapter/Pdo/Sqlite.php" role="php" />
   <file baseinstalldir="/" md5sum="7c952be945144478ffbb6e06d38e74d3" name="lib/Horde/Db/Adapter/Postgresql/Column.php" role="php" />
   <file baseinstalldir="/" md5sum="dafbe3772c41895e85dbc158517327f2" name="lib/Horde/Db/Adapter/Postgresql/Schema.php" role="php" />
   <file baseinstalldir="/" md5sum="f1271dc229ffe1bfc715a7094d1b6ed5" name="lib/Horde/Db/Adapter/Sqlite/Column.php" role="php" />
   <file baseinstalldir="/" md5sum="e96c8f2803ca998bde2933ade20d9de4" name="lib/Horde/Db/Adapter/Sqlite/Schema.php" role="php" />
   <file baseinstalldir="/" md5sum="68548c254f273b25a25603c733d40eb6" name="lib/Horde/Db/Adapter/Base.php" role="php" />
   <file baseinstalldir="/" md5sum="3149b9697e2114e9ed24ece02558eb1c" name="lib/Horde/Db/Adapter/Mysql.php" role="php" />
   <file baseinstalldir="/" md5sum="12aa40496aa566de92d7a1e9ede2ed79" name="lib/Horde/Db/Adapter/Mysqli.php" role="php" />
   <file baseinstalldir="/" md5sum="eedd3f62416b852ded5fee12236dc188" name="lib/Horde/Db/Adapter/Oci8.php" role="php" />
   <file baseinstalldir="/" md5sum="f77be9b797f0f4196c360aa8f20714a6" name="lib/Horde/Db/Adapter/SplitRead.php" role="php" />
   <file baseinstalldir="/" md5sum="73106b3ee0114d9528ac33df42dc668e" name="lib/Horde/Db/Migration/Base.php" role="php" />
   <file baseinstalldir="/" md5sum="035f2bfe60a9f5cec47147f1dc289217" name="lib/Horde/Db/Migration/Exception.php" role="php" />
   <file baseinstalldir="/" md5sum="dc5449e0846cacbc2a6234e7ed462236" name="lib/Horde/Db/Migration/Migrator.php" role="php" />
   <file baseinstalldir="/" md5sum="44b627cd9a4604d12173876715e55222" name="lib/Horde/Db/Value/Binary.php" role="php" />
   <file baseinstalldir="/" md5sum="7bf1a8656c5fd1228a46f6f9c696637a" name="lib/Horde/Db/Value/Lob.php" role="php" />
   <file baseinstalldir="/" md5sum="515f48fad0ac75a6a087730e37dadfc6" name="lib/Horde/Db/Value/Text.php" role="php" />
   <file baseinstalldir="/" md5sum="40025d387465ce76d58d616049222b01" name="lib/Horde/Db/Adapter.php" role="php" />
   <file baseinstalldir="/" md5sum="fee579247733cb636fc5e53a1a83c391" name="lib/Horde/Db/Exception.php" role="php" />
   <file baseinstalldir="/" md5sum="c77cae1e0dbd7f48d610bb4d63f93149" name="lib/Horde/Db/SearchParser.php" role="php" />
   <file baseinstalldir="/" md5sum="08b1e4957f73c152ff9304f7112b5566" name="lib/Horde/Db/StatementParser.php" role="php" />
   <file baseinstalldir="/" md5sum="0161e95cce6f4a20c1d4f417ead5243f" name="lib/Horde/Db/Value.php" role="php" />
   <file baseinstalldir="/" md5sum="2e19e3762f17db7f67094c6416c72c11" name="lib/Horde/Db.php" role="php" />
   <file baseinstalldir="/" md5sum="fa47c40566e09e2af9c51969510632b2" name="test/Horde/Db/Adapter/Mysql/ColumnDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="e0f7a28a3aed64d857ab1c4e06ce5dcb" name="test/Horde/Db/Adapter/Mysql/ColumnTest.php" role="test" />
   <file baseinstalldir="/" md5sum="2c1e0c4978c52675a0e6218e2739d190" name="test/Horde/Db/Adapter/Mysql/TestTableDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="2ab84fc7d17ccf2b09766784be20a925" name="test/Horde/Db/Adapter/Oracle/ColumnDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="33c4c85cae18491eeba40fad64a9d35b" name="test/Horde/Db/Adapter/Oracle/ColumnTest.php" role="test" />
   <file baseinstalldir="/" md5sum="8b9abac2fb10138ee02e4d57a544c5fe" name="test/Horde/Db/Adapter/Oracle/TestTableDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="9a5146d888928882bbafb30de20f1bcd" name="test/Horde/Db/Adapter/Pdo/MysqlTest.php" role="test" />
   <file baseinstalldir="/" md5sum="c56ac328142f30b1f51cf06cd500bbed" name="test/Horde/Db/Adapter/Pdo/PgsqlTest.php" role="test" />
   <file baseinstalldir="/" md5sum="6250cad18bad15c3f55c0677c75103fa" name="test/Horde/Db/Adapter/Pdo/SqliteTest.php" role="test" />
   <file baseinstalldir="/" md5sum="3453b030d910dfba49e6b5b64f93d314" name="test/Horde/Db/Adapter/Postgresql/ColumnDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="758d16f59246732e3a313d5ebada2b66" name="test/Horde/Db/Adapter/Postgresql/ColumnTest.php" role="test" />
   <file baseinstalldir="/" md5sum="892120bac6e25ce1c67ad4d1121838ff" name="test/Horde/Db/Adapter/Postgresql/TestTableDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="6bbaa2337820b3db0488d8e90f0c3daa" name="test/Horde/Db/Adapter/Sqlite/ColumnDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="dfd445b053c758905e69232e3bb4dee8" name="test/Horde/Db/Adapter/Sqlite/ColumnTest.php" role="test" />
   <file baseinstalldir="/" md5sum="277b653c9d602a81218a603c8ab88e47" name="test/Horde/Db/Adapter/Sqlite/TestTableDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="d6e3d5832042f9be02ac2b131d638361" name="test/Horde/Db/Adapter/ColumnBase.php" role="test" />
   <file baseinstalldir="/" md5sum="16b2c0d1639062932bafa9dcf9ce2c92" name="test/Horde/Db/Adapter/conf.php.dist" role="test" />
   <file baseinstalldir="/" md5sum="be1960fca0fc7a2c56b08e2962745889" name="test/Horde/Db/Adapter/MysqlBase.php" role="test" />
   <file baseinstalldir="/" md5sum="45c88eea92974040163d89a2f418b984" name="test/Horde/Db/Adapter/MysqliTest.php" role="test" />
   <file baseinstalldir="/" md5sum="c7bd13c596e4fd6aea77ff1ea3a998b7" name="test/Horde/Db/Adapter/MysqlTest.php" role="test" />
   <file baseinstalldir="/" md5sum="62cbae7d77a810c49572dfb088d1b12a" name="test/Horde/Db/Adapter/Oci8Test.php" role="test" />
   <file baseinstalldir="/" md5sum="1faebfee9fd9fc44cd8c65c07b624a8c" name="test/Horde/Db/Adapter/TestBase.php" role="test" />
   <file baseinstalldir="/" md5sum="3e5a65708e1a1ce35bdb501ad82505be" name="test/Horde/Db/Adapter/TestTableDefinition.php" role="test" />
   <file baseinstalldir="/" md5sum="f0adef5aa3d566119e8016ce392f4a4c" name="test/Horde/Db/fixtures/charsets/cp1257.txt" role="test" />
   <file baseinstalldir="/" md5sum="46a91a1e944a6f90b9d34205f969b412" name="test/Horde/Db/fixtures/charsets/utf8.txt" role="test" />
   <file baseinstalldir="/" md5sum="170843f51449b4f9f17f52e891f072a9" name="test/Horde/Db/fixtures/migrations/1_users_have_last_names1.php" role="test" />
   <file baseinstalldir="/" md5sum="370e60915fff8d88ed3d53d66e9d18c0" name="test/Horde/Db/fixtures/migrations/2_we_need_reminders1.php" role="test" />
   <file baseinstalldir="/" md5sum="6799324b9263b361c9c8f05a7bd15148" name="test/Horde/Db/fixtures/migrations/3_innocent_jointable1.php" role="test" />
   <file baseinstalldir="/" md5sum="3885aba8c1f0b5d1fb389958158ec8c9" name="test/Horde/Db/fixtures/migrations_with_decimal/1_give_me_big_numbers.php" role="test" />
   <file baseinstalldir="/" md5sum="8212b519b33a24c7ee20a1cd6302c1cb" name="test/Horde/Db/fixtures/migrations_with_duplicate/1_users_have_last_names2.php" role="test" />
   <file baseinstalldir="/" md5sum="b77b0e2b5dab95eb94ca71c95f31ca1d" name="test/Horde/Db/fixtures/migrations_with_duplicate/2_we_need_reminders2.php" role="test" />
   <file baseinstalldir="/" md5sum="465e1bb71c461f48e26e9a258b7386d5" name="test/Horde/Db/fixtures/migrations_with_duplicate/3_foo.php" role="test" />
   <file baseinstalldir="/" md5sum="709e6975db8ad71a84d435a5019bc5fe" name="test/Horde/Db/fixtures/migrations_with_duplicate/3_innocent_jointable2.php" role="test" />
   <file baseinstalldir="/" md5sum="26311c7a6510f18971f178b4f343ee99" name="test/Horde/Db/fixtures/migrations_with_missing_versions/1_users_have_last_names3.php" role="test" />
   <file baseinstalldir="/" md5sum="fafea4e83b34567cae752a3591a3cc98" name="test/Horde/Db/fixtures/migrations_with_missing_versions/3_we_need_reminders.php" role="test" />
   <file baseinstalldir="/" md5sum="eb7ede57d09d4500d4bf3010e4cbcb6c" name="test/Horde/Db/fixtures/migrations_with_missing_versions/4_innocent_jointable3.php" role="test" />
   <file baseinstalldir="/" md5sum="b2d8aaa429a9a2658510a5c3241628e9" name="test/Horde/Db/fixtures/migrations_with_missing_versions/1000_users_have_middle_names.php" role="test" />
   <file baseinstalldir="/" md5sum="279a611b9f0388e2bc14947f0254f159" name="test/Horde/Db/fixtures/drop_create_table.sql" role="test" />
   <file baseinstalldir="/" md5sum="bb3374227bd1b867d12cdd6f79b9ee69" name="test/Horde/Db/fixtures/unit_tests.sql" role="test" />
   <file baseinstalldir="/" md5sum="0303ebfaba3812f84cbd4bb29c1abcfa" name="test/Horde/Db/Migration/BaseTest.php" role="test" />
   <file baseinstalldir="/" md5sum="3a2dc882126567e2017403740d5f4e71" name="test/Horde/Db/Migration/MigratorTest.php" role="test" />
   <file baseinstalldir="/" md5sum="8bc9518b9c0576806c82d9413489d099" name="test/Horde/Db/AllTests.php" role="test" />
   <file baseinstalldir="/" md5sum="0a5018f0726d4673850fece3ad4d72c0" name="test/Horde/Db/bootstrap.php" role="test" />
   <file baseinstalldir="/" md5sum="206339981e37b96f772fe627feb30292" name="test/Horde/Db/StatementParserTest.php" role="test" />
  </dir>
 </contents>
 <dependencies>
  <required>
   <php>
    <min>5.3.0</min>
    <max>8.0.0alpha1</max>
    <exclude>8.0.0alpha1</exclude>
   </php>
   <pearinstaller>
    <min>1.7.0</min>
   </pearinstaller>
   <package>
    <name>Horde_Date</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Exception</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Support</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Util</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
  </required>
  <optional>
   <package>
    <name>Horde_Autoloader</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Cache</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Log</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Test</name>
    <channel>pear.horde.org</channel>
    <min>2.1.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <extension>
    <name>mysql</name>
   </extension>
   <extension>
    <name>mysqli</name>
   </extension>
   <extension>
    <name>oci8</name>
   </extension>
   <extension>
    <name>PDO</name>
   </extension>
  </optional>
 </dependencies>
 <phprelease>
  <filelist>
   <install as="horde-db-migrate-component" name="bin/horde-db-migrate-component" />
   <install as="CHANGES" name="doc/Horde/Db/CHANGES" />
   <install as="COPYING" name="doc/Horde/Db/COPYING" />
   <install as="README" name="doc/Horde/Db/README" />
   <install as="README_TESTING" name="doc/Horde/Db/README_TESTING" />
   <install as="TODO" name="doc/Horde/Db/TODO" />
   <install as="UPGRADING" name="doc/Horde/Db/UPGRADING" />
   <install as="Horde/Db.php" name="lib/Horde/Db.php" />
   <install as="Horde/Db/Adapter.php" name="lib/Horde/Db/Adapter.php" />
   <install as="Horde/Db/Exception.php" name="lib/Horde/Db/Exception.php" />
   <install as="Horde/Db/SearchParser.php" name="lib/Horde/Db/SearchParser.php" />
   <install as="Horde/Db/StatementParser.php" name="lib/Horde/Db/StatementParser.php" />
   <install as="Horde/Db/Value.php" name="lib/Horde/Db/Value.php" />
   <install as="Horde/Db/Adapter/Base.php" name="lib/Horde/Db/Adapter/Base.php" />
   <install as="Horde/Db/Adapter/Mysql.php" name="lib/Horde/Db/Adapter/Mysql.php" />
   <install as="Horde/Db/Adapter/Mysqli.php" name="lib/Horde/Db/Adapter/Mysqli.php" />
   <install as="Horde/Db/Adapter/Oci8.php" name="lib/Horde/Db/Adapter/Oci8.php" />
   <install as="Horde/Db/Adapter/SplitRead.php" name="lib/Horde/Db/Adapter/SplitRead.php" />
   <install as="Horde/Db/Adapter/Base/Column.php" name="lib/Horde/Db/Adapter/Base/Column.php" />
   <install as="Horde/Db/Adapter/Base/ColumnDefinition.php" name="lib/Horde/Db/Adapter/Base/ColumnDefinition.php" />
   <install as="Horde/Db/Adapter/Base/Index.php" name="lib/Horde/Db/Adapter/Base/Index.php" />
   <install as="Horde/Db/Adapter/Base/Result.php" name="lib/Horde/Db/Adapter/Base/Result.php" />
   <install as="Horde/Db/Adapter/Base/Schema.php" name="lib/Horde/Db/Adapter/Base/Schema.php" />
   <install as="Horde/Db/Adapter/Base/Table.php" name="lib/Horde/Db/Adapter/Base/Table.php" />
   <install as="Horde/Db/Adapter/Base/TableDefinition.php" name="lib/Horde/Db/Adapter/Base/TableDefinition.php" />
   <install as="Horde/Db/Adapter/Mysql/Column.php" name="lib/Horde/Db/Adapter/Mysql/Column.php" />
   <install as="Horde/Db/Adapter/Mysql/Result.php" name="lib/Horde/Db/Adapter/Mysql/Result.php" />
   <install as="Horde/Db/Adapter/Mysql/Schema.php" name="lib/Horde/Db/Adapter/Mysql/Schema.php" />
   <install as="Horde/Db/Adapter/Mysqli/Result.php" name="lib/Horde/Db/Adapter/Mysqli/Result.php" />
   <install as="Horde/Db/Adapter/Oracle/Column.php" name="lib/Horde/Db/Adapter/Oracle/Column.php" />
   <install as="Horde/Db/Adapter/Oracle/Result.php" name="lib/Horde/Db/Adapter/Oracle/Result.php" />
   <install as="Horde/Db/Adapter/Oracle/Schema.php" name="lib/Horde/Db/Adapter/Oracle/Schema.php" />
   <install as="Horde/Db/Adapter/Oracle/TableDefinition.php" name="lib/Horde/Db/Adapter/Oracle/TableDefinition.php" />
   <install as="Horde/Db/Adapter/Pdo/Base.php" name="lib/Horde/Db/Adapter/Pdo/Base.php" />
   <install as="Horde/Db/Adapter/Pdo/Mysql.php" name="lib/Horde/Db/Adapter/Pdo/Mysql.php" />
   <install as="Horde/Db/Adapter/Pdo/Pgsql.php" name="lib/Horde/Db/Adapter/Pdo/Pgsql.php" />
   <install as="Horde/Db/Adapter/Pdo/Result.php" name="lib/Horde/Db/Adapter/Pdo/Result.php" />
   <install as="Horde/Db/Adapter/Pdo/Sqlite.php" name="lib/Horde/Db/Adapter/Pdo/Sqlite.php" />
   <install as="Horde/Db/Adapter/Postgresql/Column.php" name="lib/Horde/Db/Adapter/Postgresql/Column.php" />
   <install as="Horde/Db/Adapter/Postgresql/Schema.php" name="lib/Horde/Db/Adapter/Postgresql/Schema.php" />
   <install as="Horde/Db/Adapter/Sqlite/Column.php" name="lib/Horde/Db/Adapter/Sqlite/Column.php" />
   <install as="Horde/Db/Adapter/Sqlite/Schema.php" name="lib/Horde/Db/Adapter/Sqlite/Schema.php" />
   <install as="Horde/Db/Migration/Base.php" name="lib/Horde/Db/Migration/Base.php" />
   <install as="Horde/Db/Migration/Exception.php" name="lib/Horde/Db/Migration/Exception.php" />
   <install as="Horde/Db/Migration/Migrator.php" name="lib/Horde/Db/Migration/Migrator.php" />
   <install as="Horde/Db/Value/Binary.php" name="lib/Horde/Db/Value/Binary.php" />
   <install as="Horde/Db/Value/Lob.php" name="lib/Horde/Db/Value/Lob.php" />
   <install as="Horde/Db/Value/Text.php" name="lib/Horde/Db/Value/Text.php" />
   <install as="Horde/Db/AllTests.php" name="test/Horde/Db/AllTests.php" />
   <install as="Horde/Db/bootstrap.php" name="test/Horde/Db/bootstrap.php" />
   <install as="Horde/Db/StatementParserTest.php" name="test/Horde/Db/StatementParserTest.php" />
   <install as="Horde/Db/Adapter/ColumnBase.php" name="test/Horde/Db/Adapter/ColumnBase.php" />
   <install as="Horde/Db/Adapter/conf.php.dist" name="test/Horde/Db/Adapter/conf.php.dist" />
   <install as="Horde/Db/Adapter/MysqlBase.php" name="test/Horde/Db/Adapter/MysqlBase.php" />
   <install as="Horde/Db/Adapter/MysqliTest.php" name="test/Horde/Db/Adapter/MysqliTest.php" />
   <install as="Horde/Db/Adapter/MysqlTest.php" name="test/Horde/Db/Adapter/MysqlTest.php" />
   <install as="Horde/Db/Adapter/Oci8Test.php" name="test/Horde/Db/Adapter/Oci8Test.php" />
   <install as="Horde/Db/Adapter/TestBase.php" name="test/Horde/Db/Adapter/TestBase.php" />
   <install as="Horde/Db/Adapter/TestTableDefinition.php" name="test/Horde/Db/Adapter/TestTableDefinition.php" />
   <install as="Horde/Db/Adapter/Mysql/ColumnDefinition.php" name="test/Horde/Db/Adapter/Mysql/ColumnDefinition.php" />
   <install as="Horde/Db/Adapter/Mysql/ColumnTest.php" name="test/Horde/Db/Adapter/Mysql/ColumnTest.php" />
   <install as="Horde/Db/Adapter/Mysql/TestTableDefinition.php" name="test/Horde/Db/Adapter/Mysql/TestTableDefinition.php" />
   <install as="Horde/Db/Adapter/Oracle/ColumnDefinition.php" name="test/Horde/Db/Adapter/Oracle/ColumnDefinition.php" />
   <install as="Horde/Db/Adapter/Oracle/ColumnTest.php" name="test/Horde/Db/Adapter/Oracle/ColumnTest.php" />
   <install as="Horde/Db/Adapter/Oracle/TestTableDefinition.php" name="test/Horde/Db/Adapter/Oracle/TestTableDefinition.php" />
   <install as="Horde/Db/Adapter/Pdo/MysqlTest.php" name="test/Horde/Db/Adapter/Pdo/MysqlTest.php" />
   <install as="Horde/Db/Adapter/Pdo/PgsqlTest.php" name="test/Horde/Db/Adapter/Pdo/PgsqlTest.php" />
   <install as="Horde/Db/Adapter/Pdo/SqliteTest.php" name="test/Horde/Db/Adapter/Pdo/SqliteTest.php" />
   <install as="Horde/Db/Adapter/Postgresql/ColumnDefinition.php" name="test/Horde/Db/Adapter/Postgresql/ColumnDefinition.php" />
   <install as="Horde/Db/Adapter/Postgresql/ColumnTest.php" name="test/Horde/Db/Adapter/Postgresql/ColumnTest.php" />
   <install as="Horde/Db/Adapter/Postgresql/TestTableDefinition.php" name="test/Horde/Db/Adapter/Postgresql/TestTableDefinition.php" />
   <install as="Horde/Db/Adapter/Sqlite/ColumnDefinition.php" name="test/Horde/Db/Adapter/Sqlite/ColumnDefinition.php" />
   <install as="Horde/Db/Adapter/Sqlite/ColumnTest.php" name="test/Horde/Db/Adapter/Sqlite/ColumnTest.php" />
   <install as="Horde/Db/Adapter/Sqlite/TestTableDefinition.php" name="test/Horde/Db/Adapter/Sqlite/TestTableDefinition.php" />
   <install as="Horde/Db/fixtures/drop_create_table.sql" name="test/Horde/Db/fixtures/drop_create_table.sql" />
   <install as="Horde/Db/fixtures/unit_tests.sql" name="test/Horde/Db/fixtures/unit_tests.sql" />
   <install as="Horde/Db/fixtures/charsets/cp1257.txt" name="test/Horde/Db/fixtures/charsets/cp1257.txt" />
   <install as="Horde/Db/fixtures/charsets/utf8.txt" name="test/Horde/Db/fixtures/charsets/utf8.txt" />
   <install as="Horde/Db/fixtures/migrations/1_users_have_last_names1.php" name="test/Horde/Db/fixtures/migrations/1_users_have_last_names1.php" />
   <install as="Horde/Db/fixtures/migrations/2_we_need_reminders1.php" name="test/Horde/Db/fixtures/migrations/2_we_need_reminders1.php" />
   <install as="Horde/Db/fixtures/migrations/3_innocent_jointable1.php" name="test/Horde/Db/fixtures/migrations/3_innocent_jointable1.php" />
   <install as="Horde/Db/fixtures/migrations_with_decimal/1_give_me_big_numbers.php" name="test/Horde/Db/fixtures/migrations_with_decimal/1_give_me_big_numbers.php" />
   <install as="Horde/Db/fixtures/migrations_with_duplicate/1_users_have_last_names2.php" name="test/Horde/Db/fixtures/migrations_with_duplicate/1_users_have_last_names2.php" />
   <install as="Horde/Db/fixtures/migrations_with_duplicate/2_we_need_reminders2.php" name="test/Horde/Db/fixtures/migrations_with_duplicate/2_we_need_reminders2.php" />
   <install as="Horde/Db/fixtures/migrations_with_duplicate/3_foo.php" name="test/Horde/Db/fixtures/migrations_with_duplicate/3_foo.php" />
   <install as="Horde/Db/fixtures/migrations_with_duplicate/3_innocent_jointable2.php" name="test/Horde/Db/fixtures/migrations_with_duplicate/3_innocent_jointable2.php" />
   <install as="Horde/Db/fixtures/migrations_with_missing_versions/1_users_have_last_names3.php" name="test/Horde/Db/fixtures/migrations_with_missing_versions/1_users_have_last_names3.php" />
   <install as="Horde/Db/fixtures/migrations_with_missing_versions/3_we_need_reminders.php" name="test/Horde/Db/fixtures/migrations_with_missing_versions/3_we_need_reminders.php" />
   <install as="Horde/Db/fixtures/migrations_with_missing_versions/4_innocent_jointable3.php" name="test/Horde/Db/fixtures/migrations_with_missing_versions/4_innocent_jointable3.php" />
   <install as="Horde/Db/fixtures/migrations_with_missing_versions/1000_users_have_middle_names.php" name="test/Horde/Db/fixtures/migrations_with_missing_versions/1000_users_have_middle_names.php" />
   <install as="Horde/Db/Migration/BaseTest.php" name="test/Horde/Db/Migration/BaseTest.php" />
   <install as="Horde/Db/Migration/MigratorTest.php" name="test/Horde/Db/Migration/MigratorTest.php" />
  </filelist>
 </phprelease>
 <changelog>
  <release>
   <version>
    <release>0.1.0</release>
    <api>0.1.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-02-01</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* Initial release
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0alpha1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>alpha</api>
   </stability>
   <date>2011-03-08</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First alpha release for Horde 4.
* Add support for adding autoincrement to a column.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0beta1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-16</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* Drop schema table when migrating down to schema version 0.
* Don&apos;t try to create schema tables if they exist, to avoid irritating log entries.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0RC1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-22</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First release candidate for Horde 4.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0RC2</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>beta</api>
   </stability>
   <date>2011-03-29</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* Second release candidate for Horde 4.
* [jan] Don&apos;t throw exception when setting port number while using localhost in PDO MySQL driver (Bug #9738).
* [jan] Rename pseudo-type primaryKey to autoincrementKey.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.0</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-04-06</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First stable release for Horde 4.
* [jan] Add buildClause() from obsolete Horde_Sql.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.1</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-04-20</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix migration detection on Windows.
* [jan] Fix setting incorrect charset in PDO drivers.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.2</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-07-05</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Convert host parameter from &quot;localhost&quot; to &quot;127.0.0.1&quot; in MySQL drivers (Request #9738).
* [gwr] Renamed migration helper to avoid namespace clash with a similar tool from the horde base package.
* [jan] Keep using the write backend in the same request after writing once with the split read/write driver.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.3</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-07-27</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Correctly format float values independently from the current locale (Bug #10371).
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.4</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-08-30</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix migrations from primary keys that have not been created with Horde_Db in PostgreSQL.
* [jan] Fix autoincrementKey sequences not incrementing after manually inserting key values in PostgreSQL.
* [jan] Fix changeColumn() migration to autoincrementKey if no primary key exists yet.
   </notes>
  </release>
  <release>
   <version>
    <release>1.0.5</release>
    <api>1.0.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-08-31</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix determination of last insert id on PostgreSQL up to 8.1.
   </notes>
  </release>
  <release>
   <version>
    <release>1.1.0</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-09-20</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Add methods to add and drop primary keys (Request #10469).
* [gwr] Fix usage of Horde_Exception_Wrapped.
* [jan] Fix setting unix socket in PostgreSQL DSN (bug-reports@flipjam.co.uk, Bug #10466).
   </notes>
  </release>
  <release>
   <version>
    <release>1.1.1</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-10-11</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] More flexible conversion of charset names to native MySQL names.
* [jan] Correctly escape binding characters in buildClause() (Bug #10610).
* [jan] Fix transactions with MySQLi driver (Bug #10578).
* [jan] Fix DISTINCT clause generation on PostgreSQL (Bug #10543).
* [mms] Fix escaping binary data on Postgresql 9.1+ servers (Bug #10602).
   </notes>
  </release>
  <release>
   <version>
    <release>1.1.2</release>
    <api>1.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-11-22</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mms] Greatly reduce memory usage when working with binary data in PostgreSQL 9.0+ (Bug #10774).
* [mms] Cache postgresql version.
* [jan] Improve API documentation.
   </notes>
  </release>
  <release>
   <version>
    <release>1.2.0</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2011-12-13</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [gwr] Alternative API to support modified dates with SQLite as well.
* [mjr] Add support for mediumtext and longtext field types.
   </notes>
  </release>
  <release>
   <version>
    <release>1.2.1</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2012-03-20</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix escaping of binary values in SQLite.
   </notes>
  </release>
  <release>
   <version>
    <release>1.2.2</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date />
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mms] Fix resetting postgresql error reporting.
* [mms] Fix Horde_Db_Adapter_Base_Table#offsetExists().
* [mms] Fix addLock() command.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0alpha1</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>alpha</release>
    <api>stable</api>
   </stability>
   <date>2012-07-05</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First alpha release for Horde 5.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0beta1</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2012-07-19</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First beta release for Horde 5.
* [jan] Allow for nested transactions.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0RC1</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>beta</release>
    <api>stable</api>
   </stability>
   <date>2012-10-26</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mms] Fix resetting postgresql error reporting.
* [mms] Fix Horde_Db_Adapter_Base_Table#offsetExists().
* [mms] Fix addLock() command.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.0</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2012-10-30</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* First stable release for Horde 5.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.1</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2012-11-19</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mms] Use new Horde_Test layout.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.2</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2013-03-05</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Improve unit tests.
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.3</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2013-05-03</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mms] Fix storing schema information in Horde_Cache.
* [jan] Use LONGBLOB columns in MySQL when creating binary fields (l.kiraly@madalbal.hu, Bug #12195).
* [jan] Fix updating existing rows with default values when adding columns in PostgreSQL (Bug #12101).
   </notes>
  </release>
  <release>
   <version>
    <release>2.0.4</release>
    <api>1.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2013-08-22</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix schema version table names when using horde-db-migrate-component.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.0</release>
    <api>2.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-03-03</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Return generated (or manipulated) index name from addIndex().
* [jan] Avoid cache collisions when changing adapters or configurations.
* [jan] Add Horde_Db_Adapter_Base#writeCache() and readCache().
* [jan] Add Horde_Db_Adapter#insertBlob().
* [jan] Make value of Horde_Db_Value_Binary publically accessible.
* [jan] Add Oracle driver (Request #11974).
* [jan] Add Horde_Db_Adapter_Base_Schema#column() method.
* [jan] Always re-throw PDOExceptions as Horde_Db_Exceptions.
* [jan] Fix issues with active Turkish locale.
* [jan] Always return a Horde_Db_Adapter_Base_Result sub-class from the select() method.
* [jan] Don&apos;t ping server before each query in PDO drivers (Bug #12656).
* [jan] Re-organize unit tests.
* [jan] Make several methods abstract in Horde_Db_Adapter_Base.
* [jan] Deprecate external usage of execute() method.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.1</release>
    <api>2.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-03-31</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mms] Fix regression preventing caching of any internal DB information.
* [mms] SECURITY: Don&apos;t leak PDO DSN authentication/connection information in exception messages.
* [jan] Fix columnCount() result of PDO result objects.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.2</release>
    <api>2.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-05-21</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix migrating large values to BLOB on Oracle.
* [jan] Fix certain migrations with Oracle.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.3</release>
    <api>2.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-06-17</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix changing columns to NULL/NOT NULL on Oracle and SQLite.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.4</release>
    <api>2.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-10-02</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Catch exceptions from PDO result set methods.
   </notes>
  </release>
  <release>
   <version>
    <release>2.1.5</release>
    <api>2.1.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-10-23</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix migrating NULL values to BLOB on Oracle.
   </notes>
  </release>
  <release>
   <version>
    <release>2.2.0</release>
    <api>2.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-11-06</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix returning primary key value from insertBlob().
* [jan] Add Horde_Db_Adapter::updateBlob().
* [jan] Add Horde_Db_Value_Text to encapsulate long text values.
* [jan] Add missing insertBlob to adapter interface.
   </notes>
  </release>
  <release>
   <version>
    <release>2.2.1</release>
    <api>2.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-11-18</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix using addColumn() with autoincrementKey types in SQLite.
* [jan] Fix several issues with changing autoincrementKey columns in Oracle.
* [mms] Fix SplitRead driver to work with the recent blob changes.
   </notes>
  </release>
  <release>
   <version>
    <release>2.2.2</release>
    <api>2.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2014-11-18</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Make Oracle&apos;s updateBlob() compatible with PHP 5.3.
   </notes>
  </release>
  <release>
   <version>
    <release>2.2.3</release>
    <api>2.2.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2015-04-28</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix certain migrations on Oracle.
* [jan] Fix issues with certain locales like Turkish.
   </notes>
  </release>
  <release>
   <version>
    <release>2.3.0</release>
    <api>2.3.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2015-11-17</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mjr] Fix SQL error when setting blob fields to empty in oracle driver (Bug #14163).
* [jan] Add &apos;status&apos; argument to horde-db-migrate-component (Nicolas Rochelemagne &lt;nicolas.rochelemagne@cpanel.net&gt;).
   </notes>
  </release>
  <release>
   <version>
    <release>2.3.1</release>
    <api>2.3.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2016-02-01</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Bump earliest supported PostgreSQL version to 8.3.
* [jan] Improve getting tables and indexes from PostgreSQL servers (Ivan Sergio Borgonovo &lt;mail@webthatworks.it&gt;).
* [jan] Mark PHP 7 as supported.
   </notes>
  </release>
  <release>
   <version>
    <release>2.3.2</release>
    <api>2.3.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2016-07-02</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Drop ereg_replace() usage (Remi Collet &lt;fedora@famillecollet.com&gt;).
* [mjr] Fix setting Oracle charset in certain cases.
   </notes>
  </release>
  <release>
   <version>
    <release>2.3.3</release>
    <api>2.3.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2016-09-01</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Make sure to return NULL values in result sets from Oracle.
* [jan] Fix failing transactions if retrieving last INSERT ID from PostgreSQL fails on PHP 7.2.
   </notes>
  </release>
  <release>
   <version>
    <release>2.3.4</release>
    <api>2.3.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2016-12-16</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix some PHP 7.2 issues.
   </notes>
  </release>
  <release>
   <version>
    <release>2.4.0</release>
    <api>2.4.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2017-02-27</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [mjr] Improve Horde_Db logging options (Request #10773).
* [mjr] Allow Horde_Value objects to contain stream data (Request #10805).
   </notes>
  </release>
  <release>
   <version>
    <release>2.4.1</release>
    <api>2.4.0</api>
   </version>
   <stability>
    <release>stable</release>
    <api>stable</api>
   </stability>
   <date>2017-10-20</date>
   <license uri="http://www.horde.org/licenses/bsd">BSD-2-Clause</license>
   <notes>
* [jan] Fix compatibility with PostgreSQL 12+ (Ivan Sergio Borgonovo &lt;mail@webthatworks.it&gt;, PR #2).
* [jan] Fix sequences on PostgreSQL 10+ (Ivan Sergio Borgonovo &lt;mail@webthatworks.it&gt;, PR #3).
* [mjr] Fix connecting over SSL with MySQLi driver (PR #2, PaulSzymanski &lt;PaulSzymanski@users.noreply.github.com&gt;).
   </notes>
  </release>
 </changelog>
</package>
